Note: It is highly recommended that you have version 4.1.1 (Latest available version is 4.2.2) or higher installed and in use. This is due to a previously communicated recall that addresses how measurements are displayed on certain RF images. Click HERE for more information on this recall.


 

quick contact



Name:  

Email:    

Question:  


By checking this box, you agree to the terms of our Privacy Statement which describes how we collect, uses, share and secure Personal Information, as well as your choices regarding use, access and correction of your Personal Information.